import React, { createContext } from 'react';
import 'antd/dist/antd.less';
import '@zgfe/business-lib/es/assets/styles/resetAntd.less';
import '@zgfe/business-lib/es/assets/iconfont/iconfont.css';
import { DemoWrapper as DemoWrapper_ } from '@zgfe/business-lib';
import { CdpContextWrapper } from '@zgfe/modules-cdp';
export var DemoContext = /*#__PURE__*/createContext({
  defaultApp: 0
});
var DemoWrapper = function DemoWrapper(_ref) {
  var children = _ref.children;
  var defaultApp = 99677;
  return /*#__PURE__*/React.createElement(DemoWrapper_, {
    defaultApp: defaultApp,
    needMeta: true
  }, /*#__PURE__*/React.createElement(DemoContext.Provider, {
    value: {
      defaultApp: defaultApp,
      editVisualDataset: 199,
      editDataset: 1,
      viewTableName: '1930214c7de05f44df9aa2e3828a170a451',
      editId: 1,
      tableName: 'aaaabbba'
    }
  }, /*#__PURE__*/React.createElement(CdpContextWrapper, null, children)));
};
export default DemoWrapper;